Generate audio transcription
curl --request POST \
--url https://api.videodb.io/audio/{audio_id}/transcription/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"engine": "default",
"language_code": "en",
"force": false,
"callback_url": "https://webhook.example.com/callback",
"callback_data": {}
}
'const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
engine: 'default',
language_code: 'en',
force: false,
callback_url: 'https://webhook.example.com/callback',
callback_data: {}
})
};
fetch('https://api.videodb.io/audio/{audio_id}/transcription/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$headers.Add("Content-Type", "application/json")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/audio/{audio_id}/transcription/' -Method POST -Headers $headers -ContentType 'application/json' -Body '{
"engine": "default",
"language_code": "en",
"force": false,
"callback_url": "https://webhook.example.com/callback",
"callback_data": {}
}'import Foundation
let parameters = [
"engine": "default",
"language_code": "en",
"force": false,
"callback_url": "https://webhook.example.com/callback",
"callback_data": []
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.videodb.io/audio/{audio_id}/transcription/")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"x-access-token": "<api-key>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/audio/{audio_id}/transcription/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"engine\": \"default\",\n \"language_code\": \"en\",\n \"force\": false,\n \"callback_url\": \"https://webhook.example.com/callback\",\n \"callback_data\": {}\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/audio/{audio_id}/transcription/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
request.AddJsonBody("{\n \"engine\": \"default\",\n \"language_code\": \"en\",\n \"force\": false,\n \"callback_url\": \"https://webhook.example.com/callback\",\n \"callback_data\": {}\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
engine: 'default',
language_code: 'en',
force: false,
callback_url: 'https://webhook.example.com/callback',
callback_data: {}
})
};
fetch('https://api.videodb.io/audio/{audio_id}/transcription/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/audio/{audio_id}/transcription/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"engine\": \"default\",\n \"language_code\": \"en\",\n \"force\": false,\n \"callback_url\": \"https://webhook.example.com/callback\",\n \"callback_data\": {}\n}");
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/audio/{audio_id}/transcription/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"engine\": \"default\",\n \"language_code\": \"en\",\n \"force\": false,\n \"callback_url\": \"https://webhook.example.com/callback\",\n \"callback_data\": {}\n}");
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"engine\": \"default\",\n \"language_code\": \"en\",\n \"force\": false,\n \"callback_url\": \"https://webhook.example.com/callback\",\n \"callback_data\": {}\n}")
val request = Request.Builder()
.url("https://api.videodb.io/audio/{audio_id}/transcription/")
.post(body)
.addHeader("x-access-token", "<api-key>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"success": true,
"status": "processing",
"data": {
"id": "job-123",
"output_url": "https://api.videodb.io/async-response/job-123"
}
}Create Audio Transcription
Generate a transcription for an audio file
POST
/
audio
/
{audio_id}
/
transcription
/
Generate audio transcription
Generate a speech-to-text transcription for a specific audio file.
import videodb
conn = videodb.connect(api_key="your_api_key")
coll = conn.get_collection()
audio = coll.get_audio("audio_id")
# Generate transcript for audio
audio.generate_transcript()
# Generate with language hint
audio.generate_transcript(language_code="es")
import { connect } from 'videodb';
const conn = connect({ apiKey: 'your_api_key' });
const coll = await conn.getCollection();
const audio = await coll.getAudio('audio_id');
// Generate transcript for audio
await audio.generateTranscript();
// Generate with language hint
await audio.generateTranscript({ languageCode: 'es' });
- Transcription is asynchronous; use the GET endpoint to retrieve results
- Supports different transcription engines via the
engineparameter - Use
callback_urlfor webhook notification when transcription completes
Get Transcription
Retrieve completed transcription
Video Transcription
Transcribe video audio tracks
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Pattern:
^a-Example:
"a-12345"
Body
application/json
⌘I